Bug 117302 - RFE: add sparcv8 parallel to sparcv9 in config.sub
RFE: add sparcv8 parallel to sparcv9 in config.sub
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
rawhide
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-02 13:24 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 16:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add sparcv8 support to RPM (8.63 KB, patch)
2004-03-02 13:24 EST, Tom "spot" Callaway
no flags Details | Diff
add multilib support for sparc64 to rpm (976 bytes, patch)
2004-03-02 13:25 EST, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2004-03-02 13:24:02 EST
Attached are two patches for sparc

The first one adds sparcv8 support to RPM.
The second one adds multilib support for sparc64 to RPM.

Please apply for FC2.
Comment 1 Tom "spot" Callaway 2004-03-02 13:24:31 EST
Created attachment 98201 [details]
add sparcv8 support to RPM
Comment 2 Tom "spot" Callaway 2004-03-02 13:25:15 EST
Created attachment 98202 [details]
add multilib support for sparc64 to rpm
Comment 3 Tom "spot" Callaway 2004-03-04 10:32:11 EST
Jeff, also note that I did _NOT_ do the sparcv8 regex, you said to
submit what I had and you would try to do fix the regex for sparcv8.
Comment 4 Jeff Johnson 2004-03-10 17:19:44 EST
Fixed all that is relevant for rpm. Will get to
fixing the regexes for sparcv8 in installplatform
as soon as I get to see one.

Off to teach config.sub about sparcv8.

Could you add sparcv8 parallel to sparcv9 in config.sub? Thanks.
Comment 5 Tom "spot" Callaway 2004-03-10 17:54:46 EST
Jeff, anything from a SparcStation4 or above is sparcv8 compatible,
including all UltraSPARCs. You should not have trouble getting access
to one, if all else fails, ask Peter Jones.
Comment 6 Jens Petersen 2004-03-10 21:42:47 EST
I think you want the changes in redhat-rpm-config too, no?
Comment 7 Jens Petersen 2004-03-11 03:48:45 EST
Patch sent to config maintainer.
Comment 8 R P Herrold 2004-03-12 00:30:29 EST
spot:

will this work as a test box?


[herrold@ultra1 herrold]$ cat /proc/cpuinfo
cpu             : TI UltraSparc I   (SpitFire)
fpu             : UltraSparc I integrated FPU
promlib         : Version 3 Revision 25
prom            : 3.25.0
type            : sun4u
ncpus probed    : 1
ncpus active    : 1
Cpu0Bogo        : 398.95
Cpu0ClkTck      : 000000000beb2226
MMU Type        : Spitfire
[herrold@ultra1 herrold]$ uname -a
Linux ultra1.first.lan 2.4.20-2.3sparc #1 Wed Jan 15 18:27:52 EST 2003
sparc64 unknown
[herrold@ultra1 herrold]$
Comment 9 Jens Petersen 2004-03-12 00:35:21 EST
Following on to Comment 7, the sparcv8 patch
I sent upstream to the config maintainer, was accepted.
Comment 10 Tom "spot" Callaway 2004-03-12 00:38:20 EST
Russ: Yes, an Ultra 1 is sparcv9 (and thus, sparcv8), but to be fair,
there are already several sparcv8 compatible machines running within
Red Hat, most within 20 feet of Jeff's desk. :)
Comment 11 Elliot Lee 2004-12-02 16:07:30 EST
Fixes are in redhat-rpm-config

Note You need to log in before you can comment on or make changes to this bug.